<?php

class actionGeoAdd extends cmsAction {

    public function run() {

        if (!$this->request->isAjax()) {
            cmsCore::error404();
        }

        $country_id = $this->request->get('countries');
        $region_id = $this->request->get('regions');
        $name = $this->request->get('cityname');

        if (!$name) {
            cmsCore::error404();
        }

        $region = $this->model_geo->getRegionParents($region_id);
        if (!$region) {
            cmsCore::error404();
        }
        if ($region['country_id'] != $country_id) {
            cmsCore::error404();
        }

        $name = html(strip_tags($name), false);

        $city_id = $this->model_geo->insert('geo_cities', [
            'country_id' => $country_id,
            'region_id' => $region_id,
            'name' => $name
        ]);

        $this->cms_cache->clean('geo.cities');

        //тут уведомим админа
        $messenger = cmsCore::getController('messages');
        $messenger->addRecipient(1);
        $text = '';
        if(cmsUser::isLogged()){
            $user = cmsUser::getInstance();
            $text .= 'Пользователь <a href="' . href_to('users', $user->id) . '">' . html($user->nickname,false) . '</a>';
        }else{
            $user_ip = $user->ip;
            $text .= "Гость [$user_ip]";
        }
        $text .= " добавляет город $name в регион {$region['name']} страны {$region['country_name']}";
        $notice = array(
            'content' => $text
        );
        $messenger->sendNoticePM($notice);

        return $this->cms_template->renderJSON([
                    'city_id' => $city_id
        ]);
    }

}
